- Elementary
- Main
- Authors
- Examples
- Files
- Pages
- Types
- Modules

Data Fields
_Elm_Gesture_Momentum_Info Struct Reference

Struct holds momentum info for user x1 and y1 are not necessarily in sync x1 holds x value of x direction starting point and same holds for y1. More...

## Data Fields
Evas_Coord | x1
| Final-swipe direction starting point on X.
Evas_Coord | y1
| Final-swipe direction starting point on Y.
Evas_Coord | x2
| Final-swipe direction ending point on X.
Evas_Coord | y2
| Final-swipe direction ending point on Y.
unsigned int | tx
| Timestamp of start of final x-swipe.
unsigned int | ty
| Timestamp of start of final y-swipe.
Evas_Coord | mx
| Momentum on X.
Evas_Coord | my
| Momentum on Y.
unsigned int | n
| Number of fingers.

## Detailed Description

Struct holds momentum info for user x1 and y1 are not necessarily in sync x1 holds x value of x direction starting point and same holds for y1.

This is noticeable when doing V-shape movement

Copyright ©2000-2014 Enlightenment.org - Samsung Electronics supports the EFL Documentation Project - Generated Wed Jan 8 2014 20:51:15